Subject: linux-next: build failure after merge of the char-misc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 29 Apr 2025 15:54:04 +1000

Hi all,

After merging the char-misc tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

ERROR: modpost: "init_mknod" [drivers/misc/misc_minor_kunit.ko] undefined!
ERROR: modpost: "init_unlink" [drivers/misc/misc_minor_kunit.ko] undefined!

Caused by commit

  45f0de4f8dc3 ("char: misc: add test cases")

I have used the char-misc tree from next-20250428 for today.

-- 
Cheers,
Stephen Rothwell